package com.cusc.nirvana.user.rnr.fp.common;

/**
 * @className: CmccCertTypeEnum
 * @description: 移动证件类型枚举类
 * @author: jk
 * @date: 2022/8/4 14:10
 * @version: 1.0
 **/
public enum CmccCertTypeEnum {
    IDCARD("IDCARD", "居民身份证","A"),
    HKIDCARD("HKIDCARD", "港澳居民来往内地通行证","E"),
    PASSPORT("PASSPORT", "护照","G"),
    PLA("PLAIDCARD", "军官证","C"),
    POLICEPAPER("POLICEPAPER", "警官证","D"),
    TAIBAOZHENG("TAIBAOZHENG", "台湾居民来往大陆通行证","F"),
    HKRESIDENCECARD("HKRESIDENCECARD", "港澳居民居住证","E"),
    TWRESIDENCECARD("TWRESIDENCECARD", "台湾居民居住证","T"),
    UNITCREDITCODE("0", "统一社会信用代码","K"),
    BUSINESS_LICENSE_NO("2", "营业执照号","I"),
    SOCIAL_ORG_LEGAL_PERSON_CERT("3", "事业代为法人证书或社会团体法人证书","J"),
    RESIDENCE("HOUSEHOLD", "户口簿","B");

    private String code;
    private String name;
    private String cmccCode;

    private CmccCertTypeEnum(String code, String name, String cmccCode) {
        this.code = code;
        this.name = name;
        this.cmccCode = cmccCode;
    }

    public static String getCmccCode(String code){
        for (CmccCertTypeEnum e : CmccCertTypeEnum.values()) {
            if (code.equals(e.getCode())) {
                return e.getCmccCode();
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }



    public String getName() {
        return name;
    }



    public String getCmccCode() {
        return cmccCode;
    }


}
